### Method

# Gsk PathPoint equal

since: 4.14

#### Declaration [src]

    gboolean
    gsk_path_point_equal (
      const GskPathPoint* point1,
      const GskPathPoint* point2
    )

#### Description [src]

Returns whether the two path points refer to the same location on all paths.

Note that the start- and endpoint of a closed contour will compare nonequal according to this definition. Use `gsk_path_is_closed()` to find out if the start- and endpoint of a concrete path refer to the same location.

Available since: 4.14

#### Parameters

`point2`

  Type: `GskPathPoint`

  Another path point.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if `point1` and `point2` are equal.